%define oname bluedevil

Summary:	Plasma 5 Bluetooth module
Name:		plasma5-%{oname}
Version:	5.10.5
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/plasma/%{version}/%{oname}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5bluezqt-devel
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5dbusaddons-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5iconthemes-devel
BuildRequires:	kf5kded-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5notifications-devel
BuildRequires:	kf5plasma-devel
BuildRequires:	kf5widgetsaddons-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(shared-mime-info)
Requires:	bluez
# Be able to "Browse File" aka kio_obexftp
# Be able to receive files
Requires:	obex-data-server
# Be able to Send files (bluedevil-sendfile)
Requires:	obexd
Suggests:	plasma5-applet-bluetooth
Conflicts:	bluedevil < 5.0
# Prefer plasma5 prefix for Plasma 5 core packages
Obsoletes:	bluedevil-kf5 < 5.2.1-2

%description
Plasma 5 Bluetooth module.

%files -f %{oname}.lang
%{_kde5_applicationsdir}/org.kde.bluedevilsendfile.desktop
%{_kde5_applicationsdir}/org.kde.bluedevilwizard.desktop
%{_kde5_bindir}/bluedevil-*
%dir %{_kde5_datadir}/bluedevilwizard
%{_kde5_datadir}/bluedevilwizard/*
%{_kde5_datadir}/remoteview/bluetooth-network.desktop
%{_kde5_notificationsdir}/bluedevil.notifyrc
%{_kde5_plugindir}/kded/bluedevil.so
%{_kde5_services}/bluedevil*.desktop
%{_kde5_services}/*.protocol
%{_qt5_plugindir}/bluetoothfileitemaction.so
%{_qt5_plugindir}/kcm_*.so
%{_qt5_plugindir}/kio_*.so
%{_appdatadir}/org.kde.plasma.bluetooth.appdata.xml
%{_datadir}/mime/packages/bluedevil-mime.xml

#----------------------------------------------------------------------------

%package -n plasma5-applet-bluetooth
Summary:	Plasma 5 bluetooth plasmoid
Group:		Graphical desktop/KDE
Requires:	%{name}

%description -n plasma5-applet-bluetooth
Plasma 5 bluetooth plasmoid.

%files -n plasma5-applet-bluetooth -f plasma_applet_org.kde.plasma.bluetooth.lang
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.bluetooth/
%{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.bluetooth/*
%dir %{_kde5_qmldir}/org/kde/plasma/private/bluetooth/
%{_kde5_qmldir}/org/kde/plasma/private/bluetooth/*
%{_kde5_services}/plasma-applet-org.kde.plasma.bluetooth.desktop

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{oname}
%find_lang plasma_applet_org.kde.plasma.bluetooth

%changelog

* Wed Aug 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.5-1
- (b232a01) New version 5.10.5

* Wed Aug 16 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.4-1
- (e264224) Update files
- (Andrey Bondrov: 60016eb) New version 5.10.4

* Wed Mar 22 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.4-1
- (8d96261) New version 5.9.4

* Wed Mar 01 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.3-1
- (e3b6114) New version 5.9.3

* Thu Feb 16 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.2-1
- (ce13693) New version 5.9.2

* Mon Feb 13 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.1-1
- (51211d3) New version 5.9.1

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-2
- (04cdb67) MassBuild#1230: Increase release tag

* Fri Feb 03 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-1
- (bb28650) New version 5.9.0

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.3-2
- (a967b22) MassBuild#1211: Increase release tag

* Mon Nov 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.3-1
- (e436a5e) New version 5.8.3

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.7.2-2
- (f325aec) MassBuild#1169: Increase release tag

* Thu Jul 21 2016 valerol <valerol@ya.ru> 5.7.2-1
- (7c40728) New version 5.7.2

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.5-1
- (4f46057) New version 5.6.5

* Thu Apr 21 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.3-1
- (6223c5c) New version 5.6.3

* Wed Apr 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.2-2
- (767b5b9) MassBuild#1026: Increase release tag

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.2-1
- (4607b94) New version 5.6.2

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.5-2
- (3b003d8) MassBuild#1001: Increase release tag

* Wed Mar 02 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.5-1
- (ab1620e) New version 5.5.5

* Wed Jan 27 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.4-1
- (2890457) New version 5.5.4

* Thu Jan 07 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.3-1
- (bd4cd60) New version 5.5.3

* Mon Dec 28 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.2-1
- (45b087b) Update files (drop obexftpdaemon plugin and files from libexec as upstream did)
- (Andrey Bondrov: a84ca13) New version 5.5.2

* Thu Nov 19 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.4.3-1
- (76fdcee) New version 5.4.3

* Wed Oct 07 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.4.2-1
- (5bd1c39) New version 5.4.2

* Tue Sep 08 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.4.1-1
- (43a529a) New version 5.4.1

* Wed Aug 26 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.4.0-1
- (b470628) Drop bluezqt patch (fixed upstream)
- (Andrey Bondrov: 851d60e) New version 5.4.0

* Thu Aug 13 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.3.2-2
- (81eaa08) MassBuild#782: Increase release tag

* Tue Jun 30 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.3.2-1
- (b927c9c) New version 5.3.2


